package com.xlht.xlhtproject.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.xlht.xlhtproject.respParse.bean.AjaxResult;
import com.xlht.xlhtproject.respParse.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.xlht.xlhtproject.domain.ZAssayFault;
import com.xlht.xlhtproject.service.IZAssayFaultService;


/**
 * 设备故障信息Controller
 * 
 * @author slibra
 * @date 2024-09-19
 */
@RestController
@RequestMapping("/business/fault")
public class ZAssayFaultController extends BaseController
{
    @Autowired
    private IZAssayFaultService zAssayFaultService;

    /**
     * 查询设备故障信息列表
     */
    @GetMapping("/list")
    public TableDataInfo list(ZAssayFault zAssayFault)
    {
        startPage();
        List<ZAssayFault> list = zAssayFaultService.selectZAssayFaultList(zAssayFault);
        return getDataTable(list);
    }

    /**
     * 导出设备故障信息列表
     */
    /*@PostMapping("/export")
    public void export(HttpServletResponse response, ZAssayFault zAssayFault)
    {
        List<ZAssayFault> list = zAssayFaultService.selectZAssayFaultList(zAssayFault);
        ExcelUtil<ZAssayFault> util = new ExcelUtil<ZAssayFault>(ZAssayFault.class);
        util.exportExcel(response, list, "设备故障信息数据");
    }*/

    /**
     * 获取设备故障信息详细信息
     */
    @GetMapping(value = "/{faultId}")
    public AjaxResult getInfo(@PathVariable("faultId") Long faultId)
    {
        return success(zAssayFaultService.selectZAssayFaultByFaultId(faultId));
    }

    /**
     * 新增设备故障信息
     */
    @PostMapping
    public AjaxResult add(@RequestBody ZAssayFault zAssayFault)
    {
        return toAjax(zAssayFaultService.insertZAssayFault(zAssayFault));
    }

    /**
     * 修改设备故障信息
     */
    @PutMapping
    public AjaxResult edit(@RequestBody ZAssayFault zAssayFault)
    {
        return toAjax(zAssayFaultService.updateZAssayFault(zAssayFault));
    }

    /**
     * 删除设备故障信息
     */
	@DeleteMapping("/{faultIds}")
    public AjaxResult remove(@PathVariable Long[] faultIds)
    {
        return toAjax(zAssayFaultService.deleteZAssayFaultByFaultIds(faultIds));
    }
}
