package com.xlht.xlhtproject.service.impl;

import java.util.List;

import com.xlht.xlhtproject.domain.TXlhtAddRecord;
import com.xlht.xlhtproject.mapper.TXlhtAddRecordMapper;
import com.xlht.xlhtproject.service.ITXlhtAddRecordService;
import com.xlht.xlhtproject.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 锡林浩特投药记录Service业务层处理
 * 
 * @author slibra
 * @date 2024-10-13
 */
@Service
public class TXlhtAddRecordServiceImpl implements ITXlhtAddRecordService
{
    @Autowired
    private TXlhtAddRecordMapper tXlhtAddRecordMapper;

    /**
     * 查询锡林浩特投药记录
     * 
     * @param id 锡林浩特投药记录主键
     * @return 锡林浩特投药记录
     */
    @Override
    public TXlhtAddRecord selectTXlhtAddRecordById(Long id)
    {
        return tXlhtAddRecordMapper.selectTXlhtAddRecordById(id);
    }

    /**
     * 查询锡林浩特投药记录列表
     * 
     * @param tXlhtAddRecord 锡林浩特投药记录
     * @return 锡林浩特投药记录
     */
    @Override
    public List<TXlhtAddRecord> selectTXlhtAddRecordList(TXlhtAddRecord tXlhtAddRecord)
    {
        return tXlhtAddRecordMapper.selectTXlhtAddRecordList(tXlhtAddRecord);
    }

    /**
     * 新增锡林浩特投药记录
     * 
     * @param tXlhtAddRecord 锡林浩特投药记录
     * @return 结果
     */
    @Override
    public int insertTXlhtAddRecord(TXlhtAddRecord tXlhtAddRecord)
    {
        tXlhtAddRecord.setCreateTime(DateUtils.getNowDate());
        return tXlhtAddRecordMapper.insertTXlhtAddRecord(tXlhtAddRecord);
    }

    /**
     * 修改锡林浩特投药记录
     * 
     * @param tXlhtAddRecord 锡林浩特投药记录
     * @return 结果
     */
    @Override
    public int updateTXlhtAddRecord(TXlhtAddRecord tXlhtAddRecord)
    {
        tXlhtAddRecord.setUpdateTime(DateUtils.getNowDate());
        return tXlhtAddRecordMapper.updateTXlhtAddRecord(tXlhtAddRecord);
    }

    /**
     * 批量删除锡林浩特投药记录
     * 
     * @param ids 需要删除的锡林浩特投药记录主键
     * @return 结果
     */
    @Override
    public int deleteTXlhtAddRecordByIds(Long[] ids)
    {
        return tXlhtAddRecordMapper.deleteTXlhtAddRecordByIds(ids);
    }

    /**
     * 删除锡林浩特投药记录信息
     * 
     * @param id 锡林浩特投药记录主键
     * @return 结果
     */
    @Override
    public int deleteTXlhtAddRecordById(Long id)
    {
        return tXlhtAddRecordMapper.deleteTXlhtAddRecordById(id);
    }
}
